local subID = {12089, 12091, 12092, 12093, 12094, 12095, 12096, 12097, 12098, 12099}	-- achievment ID for 10 meta achievments
local tamerID = {128007, 128008, 128009, 128010, 128011, 128012, 128013, 128014, 1280015, 128016, 128017, 128018, 128019, 128020, 128021, 128022, 128023, 128024} -- npc ID for 18 trainers
local fontcompleted = {0, 1, 0}		-- green for completed
local fontnot = {1, 0, 0}		-- red	for not completed
local subname = {}
local subcheck = {}


local function TooltipAdd()
if not InCombatLockdown() then

for i = 1, #subID do
	local _, name, _, completed = GetAchievementInfo(subID[i])
	subname[subID[i]] = name
	subcheck[subID[i]] = completed
end

local name = GameTooltip:GetUnit()
local guid = UnitGUID("mouseover") or 0
local _, _, _, _, _, npcID, _ = strsplit("-",guid)
npcID = tonumber(npcID)


for i, v in ipairs(tamerID) do 

	if npcID == v then
		for j = 1, 5 do
			local k = 2*(j-1)

			local subname1 = subname[subID[k+1]]
			fontleft = fontnot
			for n = 1, 18 do
				local trainer, _, completed = GetAchievementCriteriaInfo(subID[k+1], n)
				if name == trainer and completed then
					fontleft = fontcompleted
					break
				end
			end
			
			local subname2 = subname[subID[k+2]]
			fontright = fontnot
			for n = 1, 18 do
				local trainer, _, completed= GetAchievementCriteriaInfo(subID[k+2], n)
				if name == trainer and completed then
					fontright = fontcompleted
					break
				end
			end

			GameTooltip:AddDoubleLine(subname1, subname2, fontleft[1], fontleft[2], fontleft[3], fontright[1], fontright[2], fontright[3])

		end
	end

end		

end
end


GameTooltip:HookScript("OnTooltipSetUnit", function(self, ...)	
	TooltipAdd()
end)